import React from 'react';
type State = {
    error: Error | null;
};
type Props = {
    error: React.ReactNode;
    children: React.ReactNode;
};
export declare class ErrorBoundary extends React.Component<Props, State> {
    constructor(props: any);
    componentDidCatch(error: any): void;
    render(): React.ReactNode;
}
export {};
